<header>
  <app-dashboard-header [headerInfo]="headerInfo"
                        (marketPlaceToggle)="toggleMarketPlace($event)"></app-dashboard-header>
  <app-marketplace-view *ngIf="marketPlaceVisible"
                        [availableProjects]="availableProjects"
                        [availableWorkers]="availableWorkers"
                        (projectAcquired)="acquireProject($event)"
                        (workerAcquired)="acquireWorker($event)"
                        (toggleMenu)="toggleMarketPlace($event)">
  </app-marketplace-view>
</header>

<main>
  <div id="GameOption">
    <div class="option-panel">
      <app-game-speed-panel (gameSpeedChange)="handleGameSpeedChange($event)"></app-game-speed-panel>
    </div>
    <div class="option-panel">
      <app-savegame-panel (saveGameRequest)="handleSaveGame($event)"
                          (loadGameRequest)="handleLoadGame($event)"
                          (resetGameRequest)="handleResetGame($event)">
      </app-savegame-panel>
    </div>
  </div>
  <app-teams-view [teams]="teams" [availableProjects]="projects"
                  (dismissWorker)="handleDismissWorker($event)"
                  (assignWorkerToProject)="handleAssignWorkerToProject($event)">
  </app-teams-view>
  <app-projects-view [projects]="projects" [availableDevelopers]="freeWorkers"
                     (assignWorkerToProject)="handleAssignWorkerToProject($event)">
  </app-projects-view>
</main>


<footer>
  <div class="p-2">
    <pre *ngIf="false">{{playerConfigurationService.company | json}}</pre>
  </div>
</footer>
